gnutls_compression_list(3)

NAME
gnutls_compression_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_compression_method_t * gnutls_compression_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of compression methods. Note that to be able to use LZO compression, you must link to libgnutls-extra and call gnutls_global_init_extra().

RETURNS
Return a zero-terminated list of gnutls_compression_method_t integers indicating the available compression methods.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.